You are not logged in.

#1 2022-01-10 01:02:26

alysher
Member
Registered: 2022-01-10
Posts: 3

Pacstrap /mnt fails with repo errors

since the first of the year the latest iso on the mirrors (2021.12.01) fails on pacstrap. Pretty sure its has something to do with https://bbs.archlinux32.org/viewtopic.php?id=3173.

would updating archlinux32-keyring on the iso work for fixing the repo errors when pacstraping a new system, or will i need to wait for a new iso for that?

Offline

#2 2022-01-10 02:58:36

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,179

Re: Pacstrap /mnt fails with repo errors

It's certainly worth a try.  In fact I suspect you only need to update /usr/share/pacman/keyrings/archlinux-trusted.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#3 2022-01-10 06:59:32

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

As the ISO is a ramdisk it shold be possible to install the newest archlinux32-keyring on it with `pacman -Syy archlinux32-keyring`.
If nothing else works 'SigLevel=Never' for now.

Offline

#4 2022-01-11 16:48:58

gameslayer
Member
Registered: 2021-12-14
Posts: 66

Re: Pacstrap /mnt fails with repo errors

Ran into the same issue and reinstalling archlinux32-keyring fixed some of the pgp key issues for me but not all with some packages I am running into failed to retrieve package issues and GPG key issues.

Please update archlinux32-keyring and the GPG keys on your images!

Last edited by gameslayer (2022-01-11 17:46:37)

Offline

#5 2022-01-11 20:22:58

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,179

Re: Pacstrap /mnt fails with repo errors

I guess the 2022-01 iso image is being held back until we get nss and others into a better state.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#6 2022-01-13 09:19:02

gameslayer
Member
Registered: 2021-12-14
Posts: 66

Re: Pacstrap /mnt fails with repo errors

hmm maybe, I hope this is fixed soon as I am unable to install Arch32 because of the repo and pgp key issues

Offline

#7 2022-01-13 14:21:01

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

Also I would like add this one to the list
https://bugs.archlinux32.org/index.php? … ask_id=225

And if somebody uses the python based installer, there will also be issues..
..we should maybe remove it alltogether?

Offline

#8 2022-01-13 16:19:05

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,179

Re: Pacstrap /mnt fails with repo errors

Is that the bug you intended to link? That one seems to be about booting on 486 machines, rather than running pacstrap.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

#9 2022-01-13 16:55:12

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

zstd 1.5.1 also has a bad effect on i686 and pentium4 (and all other architectures as it seems).
Unless you have a container with archlinux32 this bug will effect you (ramdisk or kernel).

One principal problem with releasing is, I cannot go in release number (or time), so I cannot
unpublish 1.5.1 and publish 1.5.0.. so I have to apply the patch first and see if machines
still boot.. rendering the distro non-bootable is simply not an option..

Offline

#10 2022-01-13 17:29:30

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

And besides.. deep42thought (or a shell script in his place) is the master of the ISOs.. ;-)

Offline

#11 2022-01-13 19:17:40

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

So, major problems solved.. I'll have a look at the ISO scripts..

Offline

#12 2022-01-15 08:59:06

gameslayer
Member
Registered: 2021-12-14
Posts: 66

Re: Pacstrap /mnt fails with repo errors

So what would I need to do? I can't install pacstrap and install Arch32 due to the repo and pgp key issues

Offline

#13 2022-01-15 09:51:59

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

Keys issues can also be worked around with either installing the keys manuall or using SigLevel=Never..

Currently the ISO building process is broken and has to be redone..

Offline

#14 2022-01-15 12:48:18

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 810
Website

Re: Pacstrap /mnt fails with repo errors

So, I have a preliminary ISO (I also upgraded to the newest mkarchiso scripts, as our fork was a little bit aged).

You can test the un-signed (I don't have the master signing keys for ISOs) image here:

archlinux32-2022.01.15-i686-pre1.iso

Feedback and bugs welcome.
(I already noticed hangers on the start screen - I think it just has a long time to load something when not running in the in-memory-version of the ISO,
or is is PAM systemd hanging).
(Also the zsh shows weird behaviour around mkfs options (-O), just use a bash in this case).

This ISO is for i686/pentium4 and requires at least 768 MB RAM.

The i486 version is in the makings..

Offline

Board footer

Powered by FluxBB